Integrations

Create a grant

POST
/integrations/grants

Allow a connection to be used inside a Space. The grant lists the provider operations Skills, workflows and agents may call there, optional per-field constraints and asset boundaries. Provider operations that require a Space are called with connection_id, space_id and grant_id.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/grants" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{    "connection_id": "123e4567-e89b-42d3-a456-426614174000",    "space_id": "123e4567-e89b-42d3-a456-426614174000",    "allowed_operations": []  }'
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "status": "ACTIVE"}